#include "LuaUtil.h"
#include "glew.h"
#include <iostream>

static int create(lua_State* L)
{
  // stack:
  glewInit();

  return 0;
}

static int clear(lua_State* L)
{
  // stack:
  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

  return 0;
}


static const luaL_Reg opengl[] = {
  {"Create", create},
  {"Clear", clear},
  {0, 0},
};

extern "C" __declspec(dllexport) int luaopen_opengl(lua_State* L)
{
	luaL_register(L, "opengl", opengl);
  return 1;
}
